Bug 443444 - Key mapping of "Enter" key when editing an a+ file in xemacs
Key mapping of "Enter" key when editing an a+ file in xemacs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: aplus-fsf (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-21 12:12 EDT by Tom Szczesny
Modified: 2008-07-30 16:10 EDT (History)
0 users

See Also:
Fixed In Version: 4.22.1-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 18:13:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Szczesny 2008-04-21 12:12:27 EDT
Description of problem:
In the versions of aplus-fsf that I can activate the Kapl font
(aplus-fsf-4.20.2-22.fc8.i386 and aplus-fsf-4.20.2-19.fc7.i386), when I use
xemacs to edit an a+ script, the "Enter" key does nothing.  It should cause
termination of the current line and insert a new line (like most editors).


Version-Release number of selected component (if applicable):
aplus-fsf-4.2-22.fc8.i386

How reproducible:
Attempt to edit an a+ script using xemacs.

Steps to Reproduce:
1. Start up xemacs
2. open an a+ script (eg. fsftest.+ )
3. attempt to insert a new line somewhere in the script.
  
Actual results:
The "Enter" key does nothing.

Expected results:
The "Enter" key should casue insert of new line within script.

Additional info:
Comment 1 Jochen Schmitt 2008-04-22 17:23:56 EDT
I have build aplus-fsf-4.22.1-3 for rawhide with some font packagine cleanup.
Comment 2 Fedora Update System 2008-04-23 14:24:28 EDT
aplus-fsf-4.22.1-3.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-04-29 16:53:47 EDT
aplus-fsf-4.22.1-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update aplus-fsf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-3342
Comment 4 Fedora Update System 2008-05-14 18:13:53 EDT
aplus-fsf-4.22.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Tom Szczesny 2008-05-15 10:44:03 EDT
Problem still persists in aplus-fsf-4.22-1-3.fc8. 
After starting xemacs, activating kapl font, and starting aplus, the two primary
buffers are "scratch" and "a".  In "scratch" the kapl font is not activated
(which is good) and RET runs the command newline (also good).  In "a" the kapl
font is active and RET runs the command a-send-input (both good).  If I load an
aplus script for editing (e.g. fsftest.+) a new buffer (fsftest.+) is created,
in this buffer, the kapl font is active (as it should be), and RET runs the
command a-send-input.  When striking the RET key, you get the error message
"current buffer has no process".
I don't know how easy it would be to differentiate the xemacs mode in buffer "a"
in which RET should run the command a-send-input from the mode in buffer
fsftest.+ where RET should run the command newline.
One possible kluge fix would be to map C-RET to run the command newline in all
modes.  C-RET is undefined in all modes currently. 
Comment 6 Tom Szczesny 2008-07-07 22:54:40 EDT
I managed to implement an alternate kluge fix.
I could not figure out how to map C-RET to newline.  So -
line 6 of /usr/share/xemacs/site-packages/lisp/aplus-fsf/xa.el    was
(global-set-key 'f1 'a-send-region)
I commented out that line and inserted the following immediately after it
(global-set-key 'f1 'newline)
This alternate kluge fix seems to work fine.  I get a new line whenever I hit f1.
I can now edit or create new A+ scripts using xemacs with the kapl font.
Comment 7 Fedora Update System 2008-07-30 16:10:47 EDT
aplus-fsf-4.22.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.